package workerthreads.changedates;

public class SchuleSchuljahrInfo implements Comparable<SchuleSchuljahrInfo> {
	private String id;
	private String schule_stamm_id;
	private String schuljahr_id;
	private int schuljahr;
	private SchuleSchuljahrInfo correctValue = null;
	private String schulnummer;

	public String getSchule_stamm_id() {
		return schule_stamm_id;
	}

	public String getId() {
		return id;
	}

	public String getSchulnummer() {
		return schulnummer;
	}

	public String getSchuljahr_id() {
		return schuljahr_id;
	}

	public void setCorrectValue(SchuleSchuljahrInfo correctValue) {
		this.correctValue = correctValue;
	}

	public int getSchuljahr() {
		return schuljahr;
	}

	public SchuleSchuljahrInfo getCorrectValue() {
		return correctValue;
	}

	public SchuleSchuljahrInfo(String id, String schuljahr_id,
			String schule_stamm_id, String schulnummer) {
		super();
		this.id = id;
		this.schuljahr_id = schuljahr_id;
		this.schule_stamm_id = schule_stamm_id;
		this.schulnummer = schulnummer;

		calculateSchuljahr();

	}

	private void calculateSchuljahr() {
		schuljahr = Integer.parseInt(schuljahr_id.substring(5, 9));
	}

	@Override
	public int compareTo(SchuleSchuljahrInfo o) {
		return (new Integer(schuljahr)).compareTo(new Integer(o.schuljahr));
	}

}
